'\" t
.\"     Title: smbcquotas
.\"    Author: [see the "AUTHOR" section]
.\" Generator: DocBook XSL Stylesheets v1.79.1 <http://docbook.sf.net/>
.\"      Date: 12/18/2019
.\"    Manual: User Commands
.\"    Source: Samba 4.10.11
.\"  Language: English
.\"
.TH "SMBCQUOTAS" "1" "12/18/2019" "Samba 4\&.10\&.11" "User Commands"
.\" -----------------------------------------------------------------
.\" * Define some portability stuff
.\" -----------------------------------------------------------------
.\" ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
.\" http://bugs.debian.org/507673
.\" http://lists.gnu.org/archive/html/groff/2009-02/msg00013.html
.\" ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
.ie \n(.g .ds Aq \(aq
.el       .ds Aq '
.\" -----------------------------------------------------------------
.\" * set default formatting
.\" -----------------------------------------------------------------
.\" disable hyphenation
.nh
.\" disable justification (adjust text to left margin only)
.ad l
.\" -----------------------------------------------------------------
.\" * MAIN CONTENT STARTS HERE *
.\" -----------------------------------------------------------------
.SH "NAME"
smbcquotas \- Set or get QUOTAs of NTFS 5 shares
.SH "SYNOPSIS"
.HP \w'\ 'u
smbcquotas {//server/share} [\-u|\-\-user\ user] [\-L|\-\-list] [\-F|\-\-fs] [\-S|\-\-set\ QUOTA_SET_COMMAND] [\-n|\-\-numeric] [\-t|\-\-test\-args] [\-v|\-\-verbose] [\-d\ debuglevel] [\-s\ configfile] [\-l\ logdir] [\-V] [\-U\ username] [\-m|\-\-max\-protocol\ LEVEL] [\-N] [\-k] [\-A]
.SH "DESCRIPTION"
.PP
This tool is part of the
\fBsamba\fR(7)
suite\&.
.PP
The
smbcquotas
program manipulates NT Quotas on SMB file shares\&.
.SH "OPTIONS"
.PP
The following options are available to the
smbcquotas
program\&.
.PP
\-u|\-\-user user
.RS 4
Specifies the user of whom the quotas are get or set\&. By default the current user\*(Aqs username will be used\&.
.RE
.PP
\-L|\-\-list
.RS 4
Lists all quota records of the share\&.
.RE
.PP
\-F|\-\-fs
.RS 4
Show the share quota status and default limits\&.
.RE
.PP
\-S|\-\-set QUOTA_SET_COMMAND
.RS 4
This command sets/modifies quotas for a user or on the share, depending on the QUOTA_SET_COMMAND parameter which is described later\&.
.RE
.PP
\-n|\-\-numeric
.RS 4
This option displays all QUOTA information in numeric format\&. The default is to convert SIDs to names and QUOTA limits to a readable string format\&.
.RE
.PP
\-m|\-\-max\-protocol PROTOCOL_NAME
.RS 4
This allows the user to select the highest SMB protocol level that smbcquotas will use to connect to the server\&. By default this is set to NT1, which is the highest available SMB1 protocol\&. To connect using SMB2 or SMB3 protocol, use the strings SMB2 or SMB3 respectively\&.
.RE
.PP
\-t|\-\-test\-args
.RS 4
Don\*(Aqt actually do anything, only validate the correctness of the arguments\&.
.RE
.PP
\-v|\-\-verbose
.RS 4
Be verbose\&.
.RE
.PP
\-d|\-\-debuglevel=level
.RS 4
\fIlevel\fR
is an integer from 0 to 10\&. The default value if this parameter is not specified is 0\&.
.sp
The higher this value, the more detail will be logged to the log files about the activities of the server\&. At level 0, only critical errors and serious warnings will be logged\&. Level 1 is a reasonable level for day\-to\-day running \- it generates a small amount of information about operations carried out\&.
.sp
Levels above 1 will generate considerable amounts of log data, and should only be used when investigating a problem\&. Levels above 3 are designed for use only by developers and generate HUGE amounts of log data, most of which is extremely cryptic\&.
.sp
Note that specifying this parameter here will override the
\m[blue]\fBlog level\fR\m[]
parameter in the
smb\&.conf
file\&.
.RE
.PP
\-V|\-\-version
.RS 4
Prints the program version number\&.
.RE
.PP
\-s|\-\-configfile=<configuration file>
.RS 4
The file specified contains the configuration details required by the server\&. The information in this file includes server\-specific information such as what printcap file to use, as well as descriptions of all the services that the server is to provide\&. See
smb\&.conf
for more information\&. The default configuration file name is determined at compile time\&.
.RE
.PP
\-l|\-\-log\-basename=logdirectory
.RS 4
Base directory name for log/debug files\&. The extension
\fB"\&.progname"\fR
will be appended (e\&.g\&. log\&.smbclient, log\&.smbd, etc\&.\&.\&.)\&. The log file is never removed by the client\&.
.RE
.PP
\-\-option=<name>=<value>
.RS 4
Set the
\fBsmb.conf\fR(5)
option "<name>" to value "<value>" from the command line\&. This overrides compiled\-in defaults and options read from the configuration file\&.
.RE
.PP
\-N|\-\-no\-pass
.RS 4
If specified, this parameter suppresses the normal password prompt from the client to the user\&. This is useful when accessing a service that does not require a password\&.
.sp
Unless a password is specified on the command line or this parameter is specified, the client will request a password\&.
.sp
If a password is specified on the command line and this option is also defined the password on the command line will be silently ingnored and no password will be used\&.
.RE
.PP
\-k|\-\-kerberos
.RS 4
Try to authenticate with kerberos\&. Only useful in an Active Directory environment\&.
.RE
.PP
\-C|\-\-use\-ccache
.RS 4
Try to use the credentials cached by winbind\&.
.RE
.PP
\-A|\-\-authentication\-file=filename
.RS 4
This option allows you to specify a file from which to read the username and password used in the connection\&. The format of the file is
.sp
.if n \{\
.RS 4
.\}
.nf
username = <value>
password = <value>
domain   = <value>
.fi
.if n \{\
.RE
.\}
.sp
Make certain that the permissions on the file restrict access from unwanted users\&.
.RE
.PP
\-U|\-\-user=username[%password]
.RS 4
Sets the SMB username or username and password\&.
.sp
If %password is not specified, the user will be prompted\&. The client will first check the
\fBUSER\fR
environment variable, then the
\fBLOGNAME\fR
variable and if either exists, the string is uppercased\&. If these environmental variables are not found, the username
\fBGUEST\fR
is used\&.
.sp
A third option is to use a credentials file which contains the plaintext of the username and password\&. This option is mainly provided for scripts where the admin does not wish to pass the credentials on the command line or via environment variables\&. If this method is used, make certain that the permissions on the file restrict access from unwanted users\&. See the
\fI\-A\fR
for more details\&.
.sp
Be cautious about including passwords in scripts\&. Also, on many systems the command line of a running process may be seen via the
ps
command\&. To be safe always allow
rpcclient
to prompt for a password and type it in directly\&.
.RE
.PP
\-S|\-\-signing on|off|required
.RS 4
Set the client signing state\&.
.RE
.PP
\-P|\-\-machine\-pass
.RS 4
Use stored machine account password\&.
.RE
.PP
\-e|\-\-encrypt
.RS 4
This command line parameter requires the remote server support the UNIX extensions or that the SMB3 protocol has been selected\&. Requests that the connection be encrypted\&. Negotiates SMB encryption using either SMB3 or POSIX extensions via GSSAPI\&. Uses the given credentials for the encryption negotiation (either kerberos or NTLMv1/v2 if given domain/username/password triple\&. Fails the connection if encryption cannot be negotiated\&.
.RE
.PP
\-\-pw\-nt\-hash
.RS 4
The supplied password is the NT hash\&.
.RE
.PP
\-?|\-\-help
.RS 4
Print a summary of command line options\&.
.RE
.PP
\-\-usage
.RS 4
Display brief usage message\&.
.RE
.SH "QUOTA_SET_COMMAND"
.PP
The format of an the QUOTA_SET_COMMAND is an operation name followed by a set of parameters specific to that operation\&.
.PP
To set user quotas for the user specified by \-u or for the current username:
.PP
\fB UQLIM:<username>:<softlimit>/<hardlimit> \fR
.PP
To set the default quotas for a share:
.PP
\fB FSQLIM:<softlimit>/<hardlimit> \fR
.PP
To change the share quota settings:
.PP
\fB FSQFLAGS:QUOTA_ENABLED/DENY_DISK/LOG_SOFTLIMIT/LOG_HARD_LIMIT \fR
.PP
All limits are specified as a number of bytes\&.
.SH "EXIT STATUS"
.PP
The
smbcquotas
program sets the exit status depending on the success or otherwise of the operations performed\&. The exit status may be one of the following values\&.
.PP
If the operation succeeded, smbcquotas returns an exit status of 0\&. If
smbcquotas
couldn\*(Aqt connect to the specified server, or when there was an error getting or setting the quota(s), an exit status of 1 is returned\&. If there was an error parsing any command line arguments, an exit status of 2 is returned\&.
.SH "VERSION"
.PP
This man page is part of version 4\&.10\&.11 of the Samba suite\&.
.SH "AUTHOR"
.PP
The original Samba software and related utilities were created by Andrew Tridgell\&. Samba is now developed by the Samba Team as an Open Source project similar to the way the Linux kernel is developed\&.
.PP
smbcquotas
was written by Stefan Metzmacher\&.
